import React, { Component } from "react";
import "../style/ToolBar.css";
import { Dropdown } from "react-bootstrap";
import { highlighterBox, areaHighlighterBox, rotationBox } from "../constant";

class ToolBar extends Component {
  constructor(props) {
    super(props);
  }

  render() {
    const {
      areaHighlightEnable,
      toggleAreaHighlight,
      showToolBar,
      rotatePages,
      showRotationWarning,
      showRotationWarningFunc,
      saveRotation
    } = this.props;
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "toolbar"
    }, /*#__PURE__*/React.createElement("div", {
      className: "highlighter"
    }, showToolBar.includes(areaHighlighterBox) ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("button", {
      className: `rectangle tooltip ${areaHighlightEnable ? "active" : ""}`,
      type: "button",
      "data-tooltype": "area",
      onClick: () => {
        toggleAreaHighlight(true);
      }
    }, /*#__PURE__*/React.createElement("span", {
      className: "tooltip__text"
    }, "Image Highlighter")), /*#__PURE__*/React.createElement("div", {
      className: "spacer"
    })) : "", showToolBar.includes(highlighterBox) ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("button", {
      className: `highlight tooltip ${!areaHighlightEnable ? "active" : ""}`,
      type: "button",
      "data-tooltype": "highlight",
      onClick: () => {
        toggleAreaHighlight(false);
      }
    }, /*#__PURE__*/React.createElement("span", {
      className: "tooltip__text"
    }, "Text Highlighter")), /*#__PURE__*/React.createElement("div", {
      className: "spacer"
    })) : ""), /*#__PURE__*/React.createElement("div", {
      className: "rotation"
    }, showToolBar.includes(rotationBox) ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("button", {
      className: "rotate-ccw ",
      type: "button",
      onClick: () => {
        rotatePages(-90); // toggleAreaHighlight(false);
      }
    }, "\u27F2", /*#__PURE__*/React.createElement("span", {
      className: "tooltip__text"
    }, "Rotate Counter Clockwise")), /*#__PURE__*/React.createElement("button", {
      className: "rotate-ccw",
      type: "button",
      onClick: () => {
        rotatePages(90); // toggleAreaHighlight(false);
      }
    }, "\u27F3", /*#__PURE__*/React.createElement("span", {
      className: "tooltip__text"
    }, "Rotate Clockwise")), /*#__PURE__*/React.createElement("button", {
      className: "save",
      onClick: saveRotation
    }, "Save Rotation")) : "", /*#__PURE__*/React.createElement(Dropdown, {
      show: showRotationWarning,
      onClick: showRotationWarningFunc
    }, /*#__PURE__*/React.createElement(Dropdown.Toggle, {
      className: "warn"
    }, /*#__PURE__*/React.createElement("div", {
      className: "warning"
    }, /*#__PURE__*/React.createElement("svg", {
      viewBox: "0 0 28 28",
      width: "24",
      height: "24"
    }, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
      className: "st0",
      d: "M23.7,19.2l-4.9-8.5l-4.9-8.5c-0.8-1.5-2.9-1.5-3.8,0l-4.9,8.5l-4.9,8.5c-0.8,1.5,0.2,3.3,1.9,3.3l9.8,0l9.8,0 C23.5,22.4,24.5,20.6,23.7,19.2z M12,19c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1s1,0.4,1,1C13,18.6,12.6,19,12,19z M13,15 c0,0.6-0.4,1-1,1s-1-0.4-1-1V8c0-0.6,0.4-1,1-1s1,0.4,1,1V15z",
      fill: "#FFAB6C"
    }))))), /*#__PURE__*/React.createElement(Dropdown.Menu, {
      className: "message"
    }, /*#__PURE__*/React.createElement("p", null, "Please correct document orientation before annotation. Changing document orientation after annotation will lead to loss of the previous annotation"))))));
  }

}

export default ToolBar;